%global momorel 5

Summary: A small libc implementation
Name: dietlibc
Version: 0.27
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
Url: http://www.fefe.de/dietlibc/
# Source0: http://www.fefe.de/dietlibc/%{name}-%{version}.tar.bz2
Source0: ftp://ftp.kernel.org/pub/linux/libs/dietlibc/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: dietlibc-0.21-features.patch
Patch1: dietlibc-0.26-config.patch
Patch2: dietlibc-0.21-ppc64asppc.patch
Patch3: dietlibc-0.24-gnuokay.patch
Patch4: dietlibc-0.25-old-qsort.patch
Patch5: dietlibc-0.27-nonnull.patch
Patch6: dietlibc-0.27-signal.patch
Patch100: dietlibc-0.21-progname.patch
Patch101: dietlibc-0.27-x86_64.patch
Patch102: dietlibc-0.27-libdir.patch
Patch103: dietlibc-0.27-gcc4.patch
NoSource: 0

%description
A small libc implementation

%prep
%setup -q
%patch100 -p1
%patch0 -p1 -b .features
%patch1 -p1 -b .config
%patch2 -p1 -b .ppc
%patch3 -p1 -b .gnuokay
%patch4 -p1 -b .oldqsort
%patch5 -p1 -b .nonnull
%patch6 -p1 -b .signal
%ifarch x86_64
%patch101 -p1 -b .x86_64~
%endif
%patch102 -p1 -b .libdir~
%patch103 -p1 -b .gcc4~

%build
# bleah, the asm version is broken
rm -f i386/getenv.S

make LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHOR BUGS CAVEAT CHANGES COPYING FAQ PORTING README THANKS TODO
%{_bindir}/diet
%{_libdir}/dietlibc
%{_mandir}/man*/*

%changelog
* Thu Oct 27 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.27-5m)
- add gcc4 patch (Patch103)

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.27-4m)
- enable x86_64.
  - FIXME: creating shared object failed. orz

* Wed Jan 26 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.27-3m)
  applied progname patch

* Tue Jan 25 2005 Toru Hoshina <t@momonga-linux.org>
- (0.27-2m)
- patches from FC3.

* Tue Aug 24 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.27-1m)
  update to 0.27

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.22-3m)
- change URI

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.22-2m)
- revised spec for enabling rpm 4.2.
- modified string.h for momos gcc.

* Thu Feb 20 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.22-1m)
  update to 0.22

* Sat Nov 16 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.21-4m)
- support __progname on alpha

* Sat Nov 16 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.21-3m)
- add dietlibc-0.21-libgccopt.patch
  (when linking, add -lgcc after libc.a) 
- add dietlibc-0.21-progname.patch
  (set __progname. currently x86 only)

* Mon Oct 14 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (0.21-2m)
- successfully build on alpha (ExclusiveArch really needed?)

* Tue Oct  8 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.21-1m)
- minor feature enhancements
- build on ppc

* Sun Aug 18 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.20-1m)
- up to 0.20

* Sun Aug 11 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.19-1m)
- security fixes

* Wed Jul 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.18-1m)
- add some documents

* Fri Apr  5 2002 Toru Hoshina <t@kondara.org>
- (0.16-4k)
- patch ga naiyo-n (T_T)

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.16-2k)
  update to 0.16

* Sun Mar 31 2002 Toru Hoshina <t@kondara.org>
- (0.15-2k)

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- remove the i386 optimized getenv since it seems to break when you have 
  two variables that start out the same (eg LANG and LANGKEY)

* Tue Feb 26 2002 Erik Troan <ewt@redhat.com>
- updated to 0.15 -- no more RH specific patches required

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.14 which includes a lot of Erik's patches
- include the man page
- munge a few patches
- we want to allow linking against glibc objects

* Mon Feb  4 2002 Bill Nottingham <notting@redhat.com>
- add fdatasync

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Dec 15 2001 Erik Troan <ewt@redhat.com>
- fixed putenv to remove environment variables

* Fri Dec 07 2001 Erik Troan <ewt@redhat.com>
- added fnmatch() fix

* Fri Nov 09 2001 Erik Troan <ewt@redhat.com>
- initial packaging
